/*
 * @Author: SunTao 328867980@qq.com
 * @Date: 2025-01-14 15:58:14
 * @LastEditors: SunTao 328867980@qq.com
 * @LastEditTime: 2025-01-14 15:58:29
 * @FilePath: \znxjxt-ui\src\api\xj\dataManagement.js
 * @Description: 巡检管理-数据管理
 */
import request from "@/utils/request";

// 查询列表病害类型
export function getDefectList(params) {
  return request({
    // 病害类型下拉
    // url: "/metadata/defectType",
    url: "/bigscreen/v2/getDefectTypesDrowDown",
    method: "get",
    params,
  });
}

// 查询数据列表
export function getDataList(params) {
  return request({
    url: "/basCheckoutSetting/list",
    method: "get",
    params,
  });
}

// 修改数据状态
export function updateStatus(data) {
  return request({
    url: "/basCheckoutSetting/updateStatus",
    method: "post",
    data,
  });
}
